Skip to main content
GET
/
app.rocksky.artist.getArtistTracks
Get artist's tracks
curl --request GET \
  --url https://api.rocksky.app/xrpc/app.rocksky.artist.getArtistTracks \
  --header 'Authorization: Bearer <token>'
{
  "tracks": [
    {
      "id": "<string>",
      "title": "<string>",
      "artist": "<string>",
      "albumArtist": "<string>",
      "albumArt": "<string>",
      "uri": "<string>",
      "album": "<string>",
      "duration": 123,
      "trackNumber": 123,
      "discNumber": 123,
      "playCount": 1,
      "uniqueListeners": 1,
      "albumUri": "<string>",
      "artistUri": "<string>",
      "sha256": "<string>",
      "mbid": "<string>",
      "isrc": "<string>",
      "tags": [
        "<string>"
      ],
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

uri
string<at-uri>

The URI of the artist to retrieve albums from

limit
integer

The maximum number of tracks to return

Required range: x >= 1
offset
integer

The offset for pagination

Required range: x >= 0

Response

OK

tracks
object[]